package org.bitbucket.bradleysmithllc.etlunit.feature.database.db;

import java.util.List;
import java.util.Map;

public interface Catalog extends JsonRepresentation
{
	String getName();
	List<Schema> getSchemas();
	Map<String, Schema> getSchemaMap();

	Schema getSchema(String name);

	Database getDatabase();

	void touch();
}